org.apache.cassandra.net

## Interface IAsyncCallbackWithFailure<T>

- All Superinterfaces:
    IAsyncCallback<T>
  All Known Implementing Classes:
    AbstractWriteResponseHandler, AnticompactionTask.AnticompactionCallback, DatacenterSyncWriteResponseHandler, DatacenterWriteResponseHandler, ReadCallback, WriteResponseHandler

      public interface IAsyncCallbackWithFailure<T>
      extends IAsyncCallback<T>

- - ### Field Summary

    - ### Fields inherited from interface org.apache.cassandra.net.IAsyncCallback

      `isAlive`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onFailure(java.net.InetAddress from)` Called when there is an exception on the remote node or timeout happens

    - ### Methods inherited from interface org.apache.cassandra.net.IAsyncCallback

      `isLatencyForSnitch, response`

- - ### Method Detail

    - #### onFailure

          void onFailure(java.net.InetAddress from)

      Called when there is an exception on the remote node or timeout happens

Copyright © 2018 The Apache Software Foundation